> For the complete documentation index, see [llms.txt](https://docs.propstack.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.propstack.de/reference/custom-felder.md).

# Custom Felder

## Custom Felder lesen

<mark style="color:blue;">`GET`</mark> `https://api.propstack.de/v1/custom_field_groups`

Custom Felder gehören immer einer Gruppe und zu einer Entität an.

#### Query Parameters

| Name   | Type   | Description                    |
| ------ | ------ | ------------------------------ |
| entity | string | Siehe unten für mögliche Werte |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "data": [
        {
            "id": 1,
            "name": "Marketing",
            "entity": "for_clients",
            "custom_fields": [
                {
                    "id": 2,
                    "name": "marketing_project",
                    "pretty_name": "Marketing-Projekt",
                    "field_type": "String",
                    "position": 1,
                    "custom_options": []
                },
                {
                    "id": 1,
                    "name": "marketing_channel",
                    "pretty_name": "Marketing-Kanal",
                    "field_type": "Dropdown",
                    "position": 2,
                    "custom_options": [
                        {
                            "id": 1,
                            "name": "Lead"
                        },
                        {
                            "id": 2,
                            "name": "Subscriber"
                        }
                    ]
                },
            ]
        }
    ]
}
```

{% endtab %}
{% endtabs %}

Mögliche Entitäten (`entity`):

1. `for_clients`
2. `for_properties`
3. `for_projects`
4. `for_brokers`
5. `for_tasks`
6. `for_deals`

### Filtern von Objekten und Kontakten nach Custom Feld

Um nach Custom Feldern in Ihren Requests zu filtern, verwenden Sie den Schlüssel des jeweiligen Custom Felds, indem Sie ihn mit "cf\_" voranstellen. Zum Beispiel: Wenn Sie ein Custom Feld mit dem Schlüssel "marketing\_channel" haben, nutzen Sie "cf\_marketing\_channel=Lead", um Ergebnisse basierend auf dem Wert "Lead" für dieses Feld zu filtern.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.propstack.de/reference/custom-felder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
